Trzepak.pl


Nowy temat  Odpowiedz w temacie
Autor Wiadomość
Post: czw, 23 maja 2019 10:19:52 
   Tytuł: lms php5.6 a php7.x
Odpowiedz z cytatem
Offline
Wyciszony literat
Wyciszony literat

Rejestracja: pt, 30 mar 2012 20:46:19
Posty: 829
Lokalizacja: PL
cześć,
czy ktoś przerabiał może u siebie
LMS 1.11-git z php5.6 do php7.x ?

jeśli tak to czy mógłby podzielić się doświadczeniem ? i czy w ogóle ma to sens jeżeli chodzi LMS'a strike sekcje webową

* nie mówię o bazie


Na górę
Post: czw, 23 maja 2019 11:48:28 
Odpowiedz z cytatem
Online
Starszy czytelnik
Starszy czytelnik
Awatar użytkownika

Rejestracja: czw, 15 lut 2007 20:47:55
Posty: 152
gmotyw pisze:
LMS 1.11-git z php5.6 do php7.x


Podaj dokładnie jaką masz wersje, najnowsze chodzą bez problemu na nowym php (wersje masz podaną pod "wyloguj")

_________________
Administracja zdalna
www.PRO-Admin.pl

Łącza dla ISP/zakupy grupowe
www.epix.net.pl - w kupie siła !


Na górę
Post: czw, 23 maja 2019 14:04:24 
Odpowiedz z cytatem
Offline
Wyciszony literat
Wyciszony literat

Rejestracja: pt, 30 mar 2012 20:46:19
Posty: 829
Lokalizacja: PL
Dokładnie to:

Wersja LMS: 1.11-git
Wersja LMSDB: 1.11-git
Wersja PostgreSQL: 9.6.10
Wersja PHP: 5.6.30-0+deb8u1
Wersja Smarty: 3.1.11
DB: 2012111102


Na górę
Post: czw, 23 maja 2019 14:40:45 
Odpowiedz z cytatem
Online
Starszy czytelnik
Starszy czytelnik
Awatar użytkownika

Rejestracja: czw, 15 lut 2007 20:47:55
Posty: 152
gmotyw pisze:
DB: 2012111102


to wątpliwa sprawa, najpierw update do najnowszej wersji, później dopiero nowe php.

_________________
Administracja zdalna
www.PRO-Admin.pl

Łącza dla ISP/zakupy grupowe
www.epix.net.pl - w kupie siła !


Na górę
Post: czw, 23 maja 2019 18:17:23 
Odpowiedz z cytatem
Offline
Wyciszony literat
Wyciszony literat

Rejestracja: pt, 30 mar 2012 20:46:19
Posty: 829
Lokalizacja: PL
z tym że z tego co pamiętam przejście z gita mojego do np najnowszej wersji lms_24 to sporo w kodzie się zmienia więc to się wiąże za pewne z mocno przeróbkami tego co u mnie już siedzi :(

aczkolwiek niby php5.6 działać powinno

https://github.com/lmsgit/lms/compare/LMS_24...master

więc jedynie co to zostaje baza postgresa pewnie dodanie nowych jakiś tabel itp...


Na górę
Post: czw, 23 maja 2019 18:43:45 
Odpowiedz z cytatem
Offline
Moderator
Moderator
Awatar użytkownika

Rejestracja: czw, 18 lis 2010 9:00:53
Posty: 3568
Lokalizacja: Mazury
Uruchom sobie na osobnej maszynie swoją wersje lms z php7.x i zobacz jakie błędy wyskakują. Czasem wystarczy parę funkcji zmienić i dalej będzie działało na nowej wersji php

_________________
# http://kazuko.pl ☚☜☚☜ automagiczna kopia zapasowa, aktualizacja i zmiana ustawień


Na górę
Post: śr, 05 cze 2019 10:50:58 
Odpowiedz z cytatem
Offline
Moderator
Moderator
Awatar użytkownika

Rejestracja: czw, 30 maja 2013 20:58:37
Posty: 2723
Lokalizacja: Wrocław
PHP 5.6 jest dostępny w paczek w Debianie 9


Na górę
Post: wt, 11 cze 2019 11:12:53 
Odpowiedz z cytatem
Offline
Wyciszony literat
Wyciszony literat

Rejestracja: pt, 30 mar 2012 20:46:19
Posty: 829
Lokalizacja: PL
a ktoś przenosił może lms-git na lms+ już ?


Na górę
Wyświetl posty nie starsze niż:  Sortuj wg  
Nowy temat  Odpowiedz w temacie


Kto jest online

Użytkownicy przeglądający to forum: Obecnie na forum nie ma żadnego zarejestrowanego użytkownika i 6 gości


Nie możesz tworzyć nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz dodawać załączników

Szukaj:
Przejdź do:  
Dzisiaj jest sob, 21 wrz 2019 15:58:54

Strefa czasowa UTC+02:00

Moderatorzy: Administratorzy, Moderatorzy

Nakarm glodne dziecko - wejdz na strone www.Pajacyk.pl


Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
SubSilver2 modified for Trzepak.pl by Colir
Polski pakiet językowy dostarcza phpBB.pl